Loading...
Searching...
No Matches
RDKit::MolStandardize::ValidationErrorInfo Class Reference

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::ValidationErrorInfo:

## Public Member Functions

| ValidationErrorInfo (std::string msg)
const char * | what () const noexcept override
| ~ValidationErrorInfo () noexcept override=default

## Detailed Description

The ValidationErrorInfo class is used to store the information returned by a ValidationMethod validate.

Definition at line 38 of file Validate.h.

## Constructor & Destructor Documentation

## ValidationErrorInfo()

RDKit::MolStandardize::ValidationErrorInfo::ValidationErrorInfo | ( | std::string | msg | ) |

inline

Definition at line 40 of file Validate.h.

References BOOST_LOG, and rdInfoLog.

## ~ValidationErrorInfo()

RDKit::MolStandardize::ValidationErrorInfo::~ValidationErrorInfo | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * RDKit::MolStandardize::ValidationErrorInfo::what | ( |  | ) | const

inline override noexcept

Definition at line 43 of file Validate.h.

The documentation for this class was generated from the following file:

- Validate.h